#include<iostream>
#include<fstream>
#define MAX 20
using namespace std;

int n;
int Bool[MAX] = { 0 };//Đánh dấu chưa có phần tử nào sử dụng hết
int A[MAX];//Lưu hoán vị vào mảng A
ifstream f1("HOANVI.inp");
ofstream f2("HOANVI.out");
void xuat() {
    for (int i = 1; i <= n; i++)
        f2 << A[i];
    f2 << endl;
}

void Try(int k) {
    for (int i = 1; i <= n; i++) {
        //Kiểm tra nếu phần tử chưa được chọn thì sẽ đánh dấu
        if (!Bool[i]) {
            A[k] = i; // Lưu một phần tử vào hoán vị
            Bool[i] = 1;//Đánh dấu đã dùng
            if (k == n)//Kiểm tra nếu đã chứa một hoán vị thì xuất
                xuat();
            else
                Try(k + 1);
            Bool[i] = 0;
        }
    }
}

int main()
{
    f1 >> n;
    Try(1);
}
